// 4.17.0 0xec8c809b
// Generated by imageconverter. Please, do not edit!

#include <BitmapDatabase.hpp>
#include <touchgfx/Bitmap.hpp>

extern const unsigned char image_dark_backgrounds_main_bg_portrait_240x320px[]; // BITMAP_DARK_BACKGROUNDS_MAIN_BG_PORTRAIT_240X320PX_ID = 0, Size: 240x320 pixels
extern const unsigned char image_logo[]; // BITMAP_LOGO_ID = 1, Size: 520x99 pixels
extern const unsigned char image_pngegg[]; // BITMAP_PNGEGG_ID = 2, Size: 512x512 pixels
extern const unsigned char image_red[]; // BITMAP_RED_ID = 3, Size: 64x64 pixels

const touchgfx::Bitmap::BitmapData bitmap_database[] = {
    { image_dark_backgrounds_main_bg_portrait_240x320px, 0, 240, 320, 0, 0, 240, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 320, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_logo, 0, 520, 99, 0, 0, 520, ((uint8_t)touchgfx::Bitmap::RGB565) >> 3, 99, ((uint8_t)touchgfx::Bitmap::RGB565) & 0x7 },
    { image_pngegg, 0, 512, 512, 98, 98, 294, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 294, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 },
    { image_red, 0, 64, 64, 11, 11, 42, ((uint8_t)touchgfx::Bitmap::ARGB8888) >> 3, 42, ((uint8_t)touchgfx::Bitmap::ARGB8888) & 0x7 }
};

namespace BitmapDatabase
{
const touchgfx::Bitmap::BitmapData* getInstance()
{
    return bitmap_database;
}

uint16_t getInstanceSize()
{
    return (uint16_t)(sizeof(bitmap_database) / sizeof(touchgfx::Bitmap::BitmapData));
}
} // namespace BitmapDatabase
